#ifndef __MODBUS_PARAMS_H
#define __MODBUS_PARAMS_H

#include "mb.h"
#include "mbport.h"
#include "modbus.h"

#include <stdbool.h>


#define MB_PARAM_MAX			1


//
typedef struct {

	uint16_t reg;
	uint16_t size;
	uint8_t *param;
	bool f_activity;	
	mb_delay_action_t (*set_handler)(void);
    void (*check_handler)(void);

} mb_param_t;


//
void mb_init_params(void);

// Возвращает размер параметра в регистрах
bool mb_find_param(uint16_t reg, uint16_t *index, uint16_t *size);

//
mb_delay_action_t mb_set_param(uint8_t *buf, uint16_t index);

//
void mb_get_param(uint8_t *buf, uint16_t index);


// -------------------------------------------------------------------------- //
//                      Проверка параметров                                   //
// -------------------------------------------------------------------------- //

//
void mb_check_dummy(void);



#endif // __MODBUS_PARAMS_H